package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.QuestionnaireQuestion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QuestionnaireQuestionDao extends BaseDAO<Long, QuestionnaireQuestion> {


    void batchDel(@Param("questionIdList") List<Long> delQuestionnaireQuestionIdList);

    List<QuestionnaireQuestion> findByTopicId(int topicId);

    List<QuestionnaireQuestion> queryQuestionList(Integer cooperationId);
}